djot-0.1.2.2: Parser and renderer for djot light markup syntax.

Safe Haskell | None
Language | Haskell2010

Djot.Attributes

Synopsis

- pAttributes :: Parser s Attr
- parseAttributes :: Maybe AttrParserState -> ByteString -> AttrParseResult
- data AttrParserState
- data AttrParseResult
  - = Done (Attr, Int)
  - | Failed Int
  - | Partial AttrParserState

# Documentation

pAttributes :: Parser s Attr #

parseAttributes :: Maybe AttrParserState -> ByteString -> AttrParseResult #

Resumable parser, returning parts in reverse order.

data AttrParserState #

#### Instances

Instances details

Show AttrParserState # |
Instance details Defined in Djot.Attributes Methods showsPrec :: Int -> AttrParserState -> ShowS # show :: AttrParserState -> String # showList :: [AttrParserState] -> ShowS #

data AttrParseResult #

Constructors

Done (Attr, Int) |
Failed Int |
Partial AttrParserState |

#### Instances

Instances details

Show AttrParseResult # |
Instance details Defined in Djot.Attributes Methods showsPrec :: Int -> AttrParseResult -> ShowS # show :: AttrParseResult -> String # showList :: [AttrParseResult] -> ShowS #